pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

CVS commit: pkgsrc/www/SOGo5/files



Module Name:    pkgsrc
Committed By:   manu
Date:           Wed Mar  5 14:22:52 UTC 2025

Added Files:
        pkgsrc/www/SOGo5/files: sogo-conf.sh sogod.sh

Log Message:
Forgotten files in original commit


To generate a diff of this commit:
cvs rdiff -u -r0 -r1.1 pkgsrc/www/SOGo5/files/sogo-conf.sh \
    pkgsrc/www/SOGo5/files/sogod.sh

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

Added files:

Index: pkgsrc/www/SOGo5/files/sogo-conf.sh
diff -u /dev/null pkgsrc/www/SOGo5/files/sogo-conf.sh:1.1
--- /dev/null   Wed Mar  5 14:22:52 2025
+++ pkgsrc/www/SOGo5/files/sogo-conf.sh Wed Mar  5 14:22:52 2025
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+su -m @SOGOUSER@ << EOT
+mkdir -p ~@SOGOUSER@/GNUstep/Defaults
+
+defaults write sogod SOGoTimeZone "Europe/Paris"
+defaults write sogod SOGoMailDomain "example.net"
+defaults write sogod SOGoLanguage French
+defaults write sogod SOGoAppointmentSendEMailNotifications YES 
+defaults write sogod SOGoFoldersSendEMailNotifications YES 
+defaults write sogod SOGoACLsSendEMailNotifications YES 
+
+defaults write sogod SOGoUserSources '({
+       CNFieldName = cn; 
+       IDFieldName = uid;
+       UIDFieldName = uid;
+       IMAPHostFieldName = netExampleMailhost; 
+       baseDN = "dc=example,dc=net";
+       bindDN = "";
+       bindPassword = "";
+       canAuthenticate = YES;
+       displayName = "ExampleNet SARL";
+       bindFields = (uid);
+       hostname = "ldap.example.net"; 
+       id = public; 
+       isAddressBook = YES; 
+       port = 636;
+       encryption = SSL;
+       filter = "(objectClass='inetOrgPerson')";
+})' 
+defaults write sogod SOGoProfileURL 'mysql://sogo:sogo@localhost/sogo/sogo_user_profile' 
+defaults write sogod OCSFolderInfoURL 'mysql://sogo:sogo@localhost/sogo/sogo_folder_info' 
+defaults write sogod OCSSessionsFolderURL 'mysql://sogo:sogo@localhost/sogo/sogo_sessions_folder' 
+
+defaults write sogod SOGoMailingMechanism smtp 
+defaults write sogod SOGoSMTPServer smtp.example.net
+
+defaults write sogod SOGoDraftsFolderName Drafts 
+defaults write sogod SOGoSentFolderName Sent 
+defaults write sogod SOGoTrashFolderName Trash 
+defaults write sogod SOGoIMAPServer imaps://localhost:993 
+
+defaults write sogod SOGoPageTitle "Agenda "ExampleNet SARL"
+defaults write sogod SOGoLoginModule "Calendar"
+defaults write sogod SOGoZipPath "/usr/pkg/bin/zip"
+
+EOT
+
+/etc/rc.d/sogod restart
Index: pkgsrc/www/SOGo5/files/sogod.sh
diff -u /dev/null pkgsrc/www/SOGo5/files/sogod.sh:1.1
--- /dev/null   Wed Mar  5 14:22:52 2025
+++ pkgsrc/www/SOGo5/files/sogod.sh     Wed Mar  5 14:22:52 2025
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# $NetBSD: sogod.sh,v 1.1 2025/03/05 14:22:52 manu Exp $
+#
+
+# PROVIDE: sogod
+# REQUIRE: DAEMON
+# BEFORE: apache
+
+$_rc_subr_loaded . /etc/rc.subr
+
+name="sogod"
+rcvar=$name
+command="@PREFIX@/sbin/${name}"
+pidfile="@SOGORUNDIR@/${name}.pid"
+logfile="@SOGORUNDIR@/${name}.log"
+sogouser=@SOGOUSER@
+command_args="-WOPidFile ${pidfile} -WOLogFile ${logfile}"
+start_precmd="sogod_precmd"
+start_cmd="sogod_start"
+
+sogod_precmd()
+{
+    test -f @PREFIX@/etc/GNUstep.conf || {
+        echo "Cannot find @PREFIX@/etc/GNUstep.conf"
+        exit 1
+    }
+    . @PREFIX@/etc/GNUstep.conf
+
+    test -f @PREFIX@/share/GNUstep/Makefiles/GNUstep.sh || {
+        echo "Cannot find @PREFIX@/share/GNUstep/Makefiles/GNUstep.sh"
+        exit 1
+    }
+    . @PREFIX@/share/GNUstep/Makefiles/GNUstep.sh
+}
+
+sogod_start()
+{ 
+    echo "Starting $name: "
+    su -m ${sogouser} -c "${command} ${command_args}"
+} 
+
+load_rc_config $name
+run_rc_command "$1"



Home | Main Index | Thread Index | Old Index